#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kconfigwidgets
Version		:	5.107.0
Release		:	14.4.0.0%{?dist}
Summary		:	KDE Widgets for configuration dialogs

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kauth
BuildRequires	:	kcodecs
BuildRequires	:	kguiaddons
BuildRequires	:	kwidgetsaddons
#-----------------------------------------------------------------------------
%description
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as
well as a set of widgets which uses KConfig to store their settings.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF 					\
	-W no-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_includedir}/KF5/KConfigWidgets/*
%{_bindir}/preparetips5
%{_libdir}/cmake/KF5ConfigWidgets/*.cmake
%{_libdir}/libKF5ConfigWidgets.so*
%{_datadir}/locale/*/kf5_entry.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}5.mo
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/plugins/designer/%{name}5widgets.so
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories
%{_mandir}/man1/preparetips5.1.gz
%{_mandir}/*/man1/*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
